Skip to main content
`Ctrl`+`K`

# STMatSetUp

Build the preconditioner matrix used in `STMatSolve()`.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatSetUp(ST st,PetscScalar sigma,PetscScalar coeffs[])

Collective

## Input Parameters

- st - the spectral transformation context

- sigma - the shift

- coeffs - the coefficients (may be `NULL`)

## Note

This function is not intended to be called by end users, but by SLEPc solvers that use `ST`. It builds the internal matrix for the preconditioner as

\[\begin{split} P=\begin{cases} \sum_{i=0}^{\mathtt{nmat}-1}\mathtt{coeffs[i]}\,\sigma^i A_i, & \text{if coefficients given}\\ \sum_{i=0}^{\mathtt{nmat}-1}\sigma^i A_i, & \text{otherwise} \end{cases} \end{split}\]
then calls `KSPSetUp()`.

## See Also

ST: Spectral Transformation, `STMatSolve()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages